//	Zinc Application Framework - D_NOTEBK.CPP
//	COPYRIGHT (C) 1990-1998.  All Rights Reserved.
//	Zinc Software Incorporated.  Pleasant Grove, Utah  USA

// This file provided as a stub for the personal version of ZAF.

#include "d_notebk.hpp"

// ----- ZafNotebook -------------------------------------------------------

ZafWindowObject *ZafNotebook::Add(ZafWindowObject *, ZafWindowObject *)
{
	return (ZAF_NULLP(ZafWindowObject));
}

ZafEventType ZafNotebook::DispatchMouseEvent(const ZafEventStruct &)
{
	return (S_CONTINUE);
}

ZafWindowObject *ZafNotebook::FindMouseObject(const ZafEventStruct &)
{
	return (ZAF_NULLP(ZafWindowObject));
}

#if defined(ZAF_DEFAULT_DRAW)
ZafEventType ZafNotebook::Draw(const ZafEventStruct &, ZafEventType)
{
	return (S_CONTINUE);
}

ZafEventType ZafNotebook::DrawFrame(const ZafEventStruct &, ZafEventType)
{
	return (S_CONTINUE);
}

ZafEventType ZafNotebook::DrawShadow(ZafRegionStruct &, int,
	ZafEventType)
{
	return (S_CONTINUE);
}
#endif

ZafEventType ZafNotebook::Event(const ZafEventStruct &)
{
	return (S_CONTINUE);
}

ZafRegionStruct ZafNotebook::MaxRegion(ZafWindowObject *, ZafVtJustify, ZafHzJustify)
{
	ZafRegionStruct region = zafRegion;
	return (region);
}

ZafEventType ZafNotebook::ScrollEvent(const ZafEventStruct &)
{
	return (S_CONTINUE);
}

ZafWindowObject *ZafNotebook::Subtract(ZafWindowObject *)
{
	return (ZAF_NULLP(ZafWindowObject));
}

// ----- Attributes ---------------------------------------------------------

ZafIChar ZafNotebook::TabHotKeyChar(int) const
{
	return ('\0');
}

int ZafNotebook::TabHotKeyIndex(int) const
{
	return (-1);
}

const ZafIChar *ZafNotebook::TabText(int)
{
	return (ZAF_NULLP(ZafIChar));
}

bool ZafNotebook::SetAutomaticUpdate(bool)
{
	return (false);
}

int ZafNotebook::SetCurrentPage(int)
{
	return (-1);
}

ZafIChar ZafNotebook::SetTabHotKey(int, ZafIChar, int)
{
	return ('\0');
}

ZafError ZafNotebook::SetTabText(const ZafIChar *, int)
{
	return (ZAF_ERROR_NONE);
}

// ----- OS Specific Functions ----------------------------------------------

void ZafNotebook::OSDestroy(void)
{
}

ZafEventType ZafNotebook::OSEvent(const ZafEventStruct &)
{
	return (S_CONTINUE);
}

void ZafNotebook::OSMapPalette(ZafPaletteStruct &, ZafPaletteType, ZafPaletteState)
{
}

void ZafNotebook::OSRegisterObject(void)
{
}

OSWindowID ZafNotebook::OSScreenID(ZafScreenIDType) const
{
	return (screenID);
}

ZafError ZafNotebook::OSUpdatePalettes(ZafPaletteType, ZafPaletteType)
{
	return (ZAF_ERROR_NONE);
}

// ----- ZafNotebookTab -------------------------------------------------------

ZafNotebookTab::ZafNotebookTab(const ZafIChar *text) :
	ZafButton(0, 0, 0, 1, text)
{
}

ZafNotebookTab::ZafNotebookTab(const ZafNotebookTab &copy) :
	ZafButton(copy)
{
}

#if defined(ZAF_DEFAULT_DRAW)
ZafEventType ZafNotebookTab::Draw(const ZafEventStruct &, ZafEventType)
{
	return (S_CONTINUE);
}

ZafEventType ZafNotebookTab::DrawShadow(ZafRegionStruct &, int,
	ZafEventType)
{
	return (S_CONTINUE);
}
#endif

ZafEventType ZafNotebookTab::Event(const ZafEventStruct &)
{
	return (S_CONTINUE);
}

// ----- ZafNotebookTabControl ---------------------------------------------------

ZafNotebookTabControl::ZafNotebookTabControl(void) :
	ZafWindow(0, 0, 10, 1)
{
}

ZafNotebookTabControl::ZafNotebookTabControl(const ZafNotebookTabControl &copy) :
	ZafWindow(copy)
{
}

ZafNotebookTabControl::~ZafNotebookTabControl(void)
{
}

ZafWindowObject *ZafNotebookTabControl::Add(ZafWindowObject *, ZafWindowObject *)
{
	return (ZAF_NULLP(ZafWindowObject));
}

ZafPositionStruct ZafNotebookTabControl::ConvertToOSPosition(const ZafWindowObject *,
	const ZafPositionStruct *) const
{
	ZafPositionStruct osPosition = { 0, 0 };
	return (osPosition);
}

ZafPositionStruct ZafNotebookTabControl::ConvertToZafPosition(const ZafWindowObject *,
	const ZafPositionStruct *) const
{
	ZafPositionStruct zafPosition = { 0, 0 };
	return (zafPosition);
}

ZafEventType ZafNotebookTabControl::DispatchMouseEvent(const ZafEventStruct &)
{
	return (S_CONTINUE);
}

#if defined(ZAF_DEFAULT_DRAW)
ZafEventType ZafNotebookTabControl::Draw(const ZafEventStruct &, ZafEventType)
{
	return (S_CONTINUE);
}
#endif

ZafEventType ZafNotebookTabControl::Event(const ZafEventStruct &)
{
	return (S_CONTINUE);
}

void ZafNotebookTabControl::GetClip(ZafWindowObject *, ZafRegionStruct &,
	ZafRegionStruct &)
{
}

ZafRegionStruct ZafNotebookTabControl::MaxRegion(ZafWindowObject *, ZafVtJustify, ZafHzJustify)
{
	ZafRegionStruct region = zafRegion;
	return (region);
}

int ZafNotebookTabControl::SetCurrentTab(int)
{
	return (-1);
}

bool ZafNotebookTabControl::SetSupportObject(bool)
{
	return (false);
}

ZafWindowObject *ZafNotebookTabControl::Subtract(ZafWindowObject *)
{
	return (ZAF_NULLP(ZafWindowObject));
}

void ZafNotebookTabControl::OSInvalidateRegion(ZafRegionStruct *, bool, bool)
{
}

// ----- ZafNotebookScrollArrows ---------------------------------------------------

ZafNotebookScrollArrows::ZafNotebookScrollArrows(void) :
	ZafButton(0, 0, 0, 0, ZafLanguageManager::blankString)
{
}

ZafNotebookScrollArrows::ZafNotebookScrollArrows(const ZafNotebookScrollArrows &copy) :
	ZafButton(copy)
{
}

ZafNotebookScrollArrows::~ZafNotebookScrollArrows(void)
{
}

#if defined(ZAF_DEFAULT_DRAW)
ZafEventType ZafNotebookScrollArrows::Draw(const ZafEventStruct &,
	ZafEventType)
{
	return (S_CONTINUE);
}

ZafEventType ZafNotebookScrollArrows::DrawShadow(ZafRegionStruct &,
	int, ZafEventType)
{
	return (S_CONTINUE);
}
#endif

ZafEventType ZafNotebookScrollArrows::Event(const ZafEventStruct &)
{
	return (S_CONTINUE);
}

void ZafNotebookScrollArrows::ImageAllocate(void)
{
}

void ZafNotebookScrollArrows::ImageFree(bool)
{
}

bool ZafNotebookScrollArrows::SetSupportObject(bool)
{
	return (false);
}
