/*  %kw # %v    %n    %d    %t # */
/* Version # 2    HARDCOPY.H    8-Jul-92    13:03:06 # */

/* ************************************************************** *
 *  HARDCOPY.H  -  MetaWINDOW HardCopy() Default Data Structures  *
 *  Copyright (c) 1989-1992,  Metagraphics Software Corporation   *
 * ************************************************************** */

#define  ESC   0x1B
#define  LF    0x0A
#define  FF    0x0C
#define  CR    0x0D


/* ====================== */
/* Tested Configurations  */
/* ====================== */


/*
**  This is about as generic a printer as possible.
**  Based on an Epson, MX-80F/T.
**  Mode is 60 dpi (h) by 72 dpi (v)
*/

static
HCInfoRec EPLOInfo =
{
   8,             /* pins */
   7,             /* init codes */
   { CR,LF,ESC,0x40,ESC,0x33,0x18},
   4,             /* quit, reset codes */
   { CR,LF,ESC,0x40},
   2,             /* line header */
   { ESC,0x4B},
   0,             /* postamble */
   {0},
   2,             /* line trailer */
   { CR,LF},
   0,             /* Options */
   {'H','C'},     /* signature */
   0,             /* number of entries */
   NULL,          /* pointer to table */
   };

/*
**  This is a 8 pin Epson
**  Mode is 120 dpi (h) by 72 dpi (v)
*/

static
HCInfoRec EPHIInfo =
{
   8,             /* pins */
   7,             /* init codes */
   { CR,LF,ESC,0x40,ESC,0x33,0x18},
   4,             /* quit, reset codes */
   { CR,LF,ESC,0x40},
   2,             /* line header */
   { ESC,0x4C},
   0,             /* postamble */
   {0},
   2,             /* line trailer */
   { CR,LF},
   0,             /* Options */
   {'H','C'},     /* signature */
   0,             /* number of entries */
   NULL,          /* pointer to table */
   };

/*
**  Hp LaserJet configuration.
**  75 dpi (h) by 75 dpi (v).
*/

static
HCInfoRec HPLOInfo =
{
   1,             /* pins */
   11,             /* init codes */
   { ESC,'*','t','7','5','R', ESC,'*','r','0','A' },
   6,             /* quit, reset codes */
   { ESC,'*','r','B',CR,FF},
   3,             /* line header */
   { ESC,'*','b'},
   1,             /* postamble */
   {'W'},
   0,             /* line trailer, no trailer for HP LAS */
   { 0 },
   HC_ASC,        /* Options. MUST send ascii length for HP Laserjet */
   {'H','C'},     /* signature */
   0,             /* number of entries */
   NULL,          /* pointer to table */
   };

/*
**  Hp LaserJet configuration.
**  150 dpi (h) by 150 dpi (v).
*/

static
HCInfoRec HPMEDInfo =
{
   1,             /* pins */
   12,             /* init codes */
   { ESC,'*','t','1','5','0','R', ESC,'*','r','0','A' },
   6,             /* quit, reset codes */
   { ESC,'*','r','B',CR,FF},
   3,             /* line header */
   { ESC,'*','b'},
   1,             /* postamble */
   {'W'},
   0,             /* line trailer, no trailer for HP LAS */
   {0},
   HC_ASC,        /* Options. MUST send ascii length for HP Laserjet */
   {'H','C'},     /* signature */
   0,             /* number of entries */
   NULL,          /* pointer to table */
   };


/*
**  Hp LaserJet configuration.
**  300 dpi (h) by 300 dpi (v).
*/

static
HCInfoRec HPHIInfo =
{
   1,             /* pins */
   12,             /* init codes */
   { ESC,'*','t','3','0','0','R', ESC,'*','r','0','A' },
   6,             /* quit, reset codes */
   { ESC,'*','r','B',CR,FF},
   3,             /* line header */
   { ESC,'*','b'},
   1,             /* postamble */
   {'W'},
   0,             /* line trailer, no trailer for HP LAS */
   {0},
   HC_ASC,        /* Options. MUST send ascii length for HP Laserjet */
   {'H','C'},     /* signature */
   0,             /* number of entries */
   NULL,          /* pointer to table */
   };

/* End of File - HARDCOPY.H */

